Search customers

Search and retrieve customers associated with a customer based on their search parameters.

SecurityoAuth2
Request
query Parameters
legalName
string

Full text search of full legal name

customerType
string

Search by type of customer such as Corporate, Consumer, Financial_Institution, Downstream_Partner.

shortName
string

Search by Customer short name

customerId
string

Search by customerId

customerUID
integer

Search by customer unique id.

status
string

Search by status

taxId
string

Search by taxId

page
required
integer

Which number of page of results to be returned

Example: page=1
limit
required
integer <= 1000

Total number of records to be returned for a given page

Example: limit=100
Responses
200

OK

400

bad input parameter environment

401

You are not authorized to access the resource

403

Accessing the resource you were trying to reach is forbidden

404

The resource you were trying to reach is not found

405

bad input parameter environment

500

Something went wrong on back end.

503

Service unavailable

default

Successful

get/v2/customers
Request samples
Response samples
application/json
{
  • "status": "Success",
  • "code": "string",
  • "message": "string",
  • "pagination": {
    },
  • "data": [
    ]
}